namespace eval ::apache1.3:: {}

proc ::apache1.3::parseRequire {elements parser dirDef xmlConf currentContainer} {
    set xuiObj [apacheparserutils::getOrCreateIfNotExists require \
            $dirDef $xmlConf $currentContainer]
    set type [lindex $elements 1] 
    switch $type {
       valid-user {
	   [$xuiObj getComponentByName validUser] setValue
       } user - group {
	   set list [$xuiObj getComponentByName ${type}s]
	   foreach item [lrange $elements 2 end] {
	       set newElement [$list newChild]
	       $list insertChild $newElement
	       $newElement setValue $item
	   }
       } default {
	   error
       }
   }
}

proc ::apache1.3::dumpRequire {xuiObj} {
    set result {}
    if [ [$xuiObj getComponentByName validUser] getValue] {
        append result "require valid-user\n"
    }
    set list [[$xuiObj getComponentByName users] getChildren]
    if [llength $list] {
	append result "require user "
	foreach element $list {
	    append result [$element getValue]
	}
       append result "\n"
    }
    set list [[$xuiObj getComponentByName groups] getChildren]
    if [llength $list] {
	append result "require group "
	foreach element $list {
	    append result [$element getValue]
	    append result " "
	}
	append result "\n"       
    }    
    return $result
}
