
proc debug {args} {
    puts $args
}
source comanche.tcl
wm title . "Comanche $::comanche::version"
package require Itcl
catch "namespace import itcl::*"
lappend auto_path .
lappend auto_path ..
lappend auto_path ../xuibuilder
package require BWidget
package require xml
package require dom
source ../help/apacheDocGui.tcl
source ../libplugin/libgui.tcl
source ../extra/tkgetdir.tcl
source ../extra/center.tcl
source ../htmlib/html_library.tcl
source ../xuibuilder/ddom.tcl
source ../xuibuilder/unique.tcl
source ../xuibuilder/xuiBuilder.tcl
source ../xuibuilder/xuiChoiceCreator.tcl
source ../xuibuilder/xuiStringCreator.tcl
source ../xuibuilder/xuiBooleanCreator.tcl
source ../xuibuilder/xuiListCreator.tcl
source ../xuibuilder/xuiStructureCreator.tcl
source ../xuibuilder/xuiAlternateCreator.tcl
source ../xuibuilder/xuiGroupCreator.tcl
source ../xuibuilder/xuiPropertyPageCreator.tcl
source ../xuibuilder/xuiPropertyPagesCreator.tcl
source ../xuibuilder/xuiDirDefinitionCreator.tcl
source ../xuibuilder/xuiLabelCreator.tcl
source ../xuibuilder/xuiNumberCreator.tcl
source ../xuibuilder/xuiIncludeCreator.tcl
source ../gui/guiObject.tcl
source ../gui/guiMultipleChoice.tcl
source ../gui/guiLabeled.tcl
source ../gui/guiChoice.tcl
source ../gui/guiBoolean.tcl
source ../gui/guiBooleanRadioButton.tcl
source ../gui/guiStructure.tcl
source ../gui/guiBuilder.tcl
source ../gui/guiString.tcl
source ../gui/guiStringDirectory.tcl
source ../gui/guiStringFile.tcl
source ../gui/guiAlternate.tcl
source ../gui/guiList.tcl
source ../gui/guiLabel.tcl
source ../gui/guiPropertyPages.tcl
source ../gui/guiPropertyPagesNotebook.tcl
source ../gui/guiImage.tcl
source ../xul/xuiObject.tcl
source ../xul/xuiImage.tcl
source ../xul/xuiString.tcl
source ../xul/xuiChoice.tcl
source ../xul/xuiBoolean.tcl
source ../xul/xuiStructure.tcl
source ../xul/xuiPropertyPage.tcl
source ../xul/xuiAlternate.tcl
source ../xul/xuiList.tcl
source ../xul/xuiLabel.tcl
source ../xul/xuiNumber.tcl
source ../xul/xuiNode.tcl
source ../namespace/namespace.tcl
source ../namespace/plugInDatabase.tcl
source ../view/images.tcl
source ../view/tree.tcl
source ../view/console.tcl
source ../view/rightPane.tcl
source ../view/view.tcl
source ../view/propertyPagesDialog.tcl
source ../view/wizardDialog.tcl
source ../view/commandResult.tcl
source ../libplugin/stack.tcl
source ../libplugin/plugIn.tcl
source ../libplugin/configuration.tcl
source ../libplugin/parser.tcl
source ../libplugin/ppManager.tcl            
source ../libplugin/lremove.tcl
source ../libplugin/splash.tcl
source ../libplugin/mesg.tcl
source ../conf/comanche.conf



xuiBuilder ::globalXuiBuilder [list \
	boolean [booleanCreator ::#auto] \
	string [stringCreator ::#auto] \
	structure [structureCreator ::#auto] \
	alternate [alternateCreator ::#auto] \
	choice [choiceCreator ::#auto] \
	list [listCreator ::#auto] \
	group [groupCreator ::#auto] \
	propertyPage [propertyPageCreator ::#auto] \
	propertyPages [propertyPagesCreator ::#auto] \
	dirDefinition [dirDefinitionCreator ::#auto] \
	label [labelCreator ::#auto] \
	number [numberCreator ::#auto] \
	]


splash::init

splash::add "Initializing Comanche"
# Null object used for example when querying but do not want to get informed
# of updates. This is a hack, change

proc null {args} {} 
::mesg::processMesgCatalogDir ../messages

namespaceServer ::ns

source ../plugins/manager/init.tcl
manager_init -namespace ::ns -moduledirectory ../plugins/manager

comancheConsole dani
ns registerView dum ::dani
dani newNamespace ::ns

splash::end

centerScreen .
