# Determine my current directory

set currentDir [file dirname [file join [pwd] [info script]]]

::mesg::processMesgCatalogDir [file join $currentDir messages]
source [file join $currentDir hostname.tcl]

proc hostname_init { args } {
    array set options $args
    [hostnamePlugIn ::#auto] init -namespace $options(-namespace) \
         -moduledirectory $options(-moduledirectory)         
}    

proc hostname_init { args } {
    array set options $args
    [hostnamePlugIn ::#auto] init -namespace $options(-namespace) \
         -moduledirectory $options(-moduledirectory)         
}

proc hostname_info {} {
     array set info [list description [mesg::get hostname_description]]
     array set info {name {hostname}}
     array set info {version {1.0}}
     array set info {icon network}
     return [array get info]
}
		    
		    
		                 
