# Determine my current directory

set currentDir [file dirname [file join [pwd] [info script]]]

#::mesg::processMesgCatalogDir [file join $currentDir messages]
source [file join $currentDir test.tcl]

namespace eval ::test:: "set pp [file join $currentDir pp.xml]"

# Quoted so current dir is current and not ::manager::

proc test_init { args } {
    array set options $args
   [nameserversPlugIn ::#auto] init -namespace $options(-namespace) \
         -moduledirectory $options(-moduledirectory)
}    
proc test_info {} {
     array set info [list description [mesg::get hostname_description]]
     array set info {name {hostname}}
     array set info {version {1.0}}
     array set info {icon network}
     return [array get info]
}
		    
		    
		                 
